## org.apache.poi.hssf.record.formula
Class StringPtg

    java.lang.Object
      org.apache.poi.hssf.record.formula.Ptg
          org.apache.poi.hssf.record.formula.StringPtg

public class StringPtg
extends Ptg

Number Stores a String value in a formula value stored in the format <length 2 bytes>char[]

Author:
  Werner Froidevaux, Jason Height (jheight at chariot dot net dot au)

Field Summary
`static byte` `sid`
`static int` `SIZE`

Fields inherited from class org.apache.poi.hssf.record.formula.Ptg
`CLASS_ARRAY, CLASS_REF, CLASS_VALUE, ptgClass`

Constructor Summary
`StringPtg(byte[] data, int offset)` Create a StringPtg from a byte array read from disk
`StringPtg(java.lang.String value)` Create a StringPtg from a string representation of the number Number format is not checked, it is expected to be validated in the parser that calls this method.

Method Summary
`java.lang.Object` `clone()`
`byte` `getDefaultOperandClass()`
`int` `getSize()`
`java.lang.String` `getValue()`
`java.lang.String` `toFormulaString(Workbook book)` return a string representation of this token alone
`void` `writeBytes(byte[] array, int offset)` write this Ptg to a byte array

Methods inherited from class org.apache.poi.hssf.record.formula.Ptg
`createPtg, getBytes, getPtgClass, setClass, toDebugString, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SIZE

    public static final int SIZE

See Also:
  Constant Field Values

### sid

    public static final byte sid

See Also:
  Constant Field Values

Constructor Detail

### StringPtg

    public StringPtg(byte[] data,
                     int offset)

  Create a StringPtg from a byte array read from disk

### StringPtg

    public StringPtg(java.lang.String value)

  Create a StringPtg from a string representation of the number Number format is not checked, it is expected to be validated in the parser that calls this method.

Parameters:
  `value` - : String representation of a floating point number

Method Detail

### getValue

    public java.lang.String getValue()

### writeBytes

    public void writeBytes(byte[] array,
                           int offset)

  Description copied from class: `Ptg`
  write this Ptg to a byte array

  Specified by:
    `writeBytes` in class `Ptg`

### getSize

    public int getSize()

  Specified by:
    `getSize` in class `Ptg`

### toFormulaString

    public java.lang.String toFormulaString(Workbook book)

  Description copied from class: `Ptg`
  return a string representation of this token alone

  Specified by:
    `toFormulaString` in class `Ptg`

### getDefaultOperandClass

    public byte getDefaultOperandClass()

  Specified by:
    `getDefaultOperandClass` in class `Ptg`

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in class `Ptg`

Copyright © 2003 Apache Software Foundation.